(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('angular-loading-circle', ['exports', '@angular/core'], factory) :
    (global = global || self, factory(global['angular-loading-circle'] = {}, global.ng.core));
}(this, (function (exports, core) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/angular-loading-circle.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularLoadingCircleService = /** @class */ (function () {
        function AngularLoadingCircleService() {
        }
        AngularLoadingCircleService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        AngularLoadingCircleService.ctorParameters = function () { return []; };
        /** @nocollapse */ AngularLoadingCircleService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function AngularLoadingCircleService_Factory() { return new AngularLoadingCircleService(); }, token: AngularLoadingCircleService, providedIn: "root" });
        return AngularLoadingCircleService;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/angular-loading-circle.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularLoadingCircleComponent = /** @class */ (function () {
        function AngularLoadingCircleComponent() {
        }
        /**
         * @return {?}
         */
        AngularLoadingCircleComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () { };
        AngularLoadingCircleComponent.decorators = [
            { type: core.Component, args: [{
                        selector: "angular-loading-circle",
                        template: "\n    <div class=\"loading-circle\"></div>\n  ",
                        styles: ["\n      .loading-circle {\n        position: absolute;\n        left: 50%;\n        top: 50%;\n        height: 60px;\n        width: 60px;\n        margin: 0px auto;\n        -webkit-animation: rotation 0.6s infinite linear;\n        -moz-animation: rotation 0.6s infinite linear;\n        -o-animation: rotation 0.6s infinite linear;\n        animation: rotation 0.6s infinite linear;\n        border-left: 6px solid rgba(0, 174, 239, 0.15);\n        border-right: 6px solid rgba(0, 174, 239, 0.15);\n        border-bottom: 6px solid rgba(0, 174, 239, 0.15);\n        border-top: 6px solid rgba(0, 174, 239, 0.8);\n        border-radius: 100%;\n      }\n      @-webkit-keyframes rotation {\n        from {\n          -webkit-transform: rotate(0deg);\n        }\n        to {\n          -webkit-transform: rotate(359deg);\n        }\n      }\n      @-moz-keyframes rotation {\n        from {\n          -moz-transform: rotate(0deg);\n        }\n        to {\n          -moz-transform: rotate(359deg);\n        }\n      }\n      @-o-keyframes rotation {\n        from {\n          -o-transform: rotate(0deg);\n        }\n        to {\n          -o-transform: rotate(359deg);\n        }\n      }\n      @keyframes rotation {\n        from {\n          transform: rotate(0deg);\n        }\n        to {\n          transform: rotate(359deg);\n        }\n      }\n    "]
                    }] }
        ];
        /** @nocollapse */
        AngularLoadingCircleComponent.ctorParameters = function () { return []; };
        return AngularLoadingCircleComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/angular-loading-circle.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AngularLoadingCircleModule = /** @class */ (function () {
        function AngularLoadingCircleModule() {
        }
        AngularLoadingCircleModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [AngularLoadingCircleComponent],
                        imports: [],
                        exports: [AngularLoadingCircleComponent]
                    },] }
        ];
        return AngularLoadingCircleModule;
    }());

    exports.AngularLoadingCircleComponent = AngularLoadingCircleComponent;
    exports.AngularLoadingCircleModule = AngularLoadingCircleModule;
    exports.AngularLoadingCircleService = AngularLoadingCircleService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=angular-loading-circle.umd.js.map
