import { Injectable, ɵɵdefineInjectable, Component, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/angular-loading-circle.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularLoadingCircleService {
    constructor() { }
}
AngularLoadingCircleService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
AngularLoadingCircleService.ctorParameters = () => [];
/** @nocollapse */ AngularLoadingCircleService.ngInjectableDef = ɵɵdefineInjectable({ factory: function AngularLoadingCircleService_Factory() { return new AngularLoadingCircleService(); }, token: AngularLoadingCircleService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * Generated from: lib/angular-loading-circle.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularLoadingCircleComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
AngularLoadingCircleComponent.decorators = [
    { type: Component, args: [{
                selector: "angular-loading-circle",
                template: `
    <div class="loading-circle"></div>
  `,
                styles: [`
      .loading-circle {
        position: absolute;
        left: 50%;
        top: 50%;
        height: 60px;
        width: 60px;
        margin: 0px auto;
        -webkit-animation: rotation 0.6s infinite linear;
        -moz-animation: rotation 0.6s infinite linear;
        -o-animation: rotation 0.6s infinite linear;
        animation: rotation 0.6s infinite linear;
        border-left: 6px solid rgba(0, 174, 239, 0.15);
        border-right: 6px solid rgba(0, 174, 239, 0.15);
        border-bottom: 6px solid rgba(0, 174, 239, 0.15);
        border-top: 6px solid rgba(0, 174, 239, 0.8);
        border-radius: 100%;
      }
      @-webkit-keyframes rotation {
        from {
          -webkit-transform: rotate(0deg);
        }
        to {
          -webkit-transform: rotate(359deg);
        }
      }
      @-moz-keyframes rotation {
        from {
          -moz-transform: rotate(0deg);
        }
        to {
          -moz-transform: rotate(359deg);
        }
      }
      @-o-keyframes rotation {
        from {
          -o-transform: rotate(0deg);
        }
        to {
          -o-transform: rotate(359deg);
        }
      }
      @keyframes rotation {
        from {
          transform: rotate(0deg);
        }
        to {
          transform: rotate(359deg);
        }
      }
    `]
            }] }
];
/** @nocollapse */
AngularLoadingCircleComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/angular-loading-circle.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class AngularLoadingCircleModule {
}
AngularLoadingCircleModule.decorators = [
    { type: NgModule, args: [{
                declarations: [AngularLoadingCircleComponent],
                imports: [],
                exports: [AngularLoadingCircleComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: angular-loading-circle.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { AngularLoadingCircleComponent, AngularLoadingCircleModule, AngularLoadingCircleService };
//# sourceMappingURL=angular-loading-circle.js.map
